EnderTanks

Mods
4,884,476 Downloads Last Updated: Jan 25, 2019 Game Version: 1.12.2

File Details

Filename EnderTanks-rev15.jar
Uploaded by ShetiPhian
Uploaded Mar 25, 2014
Game Version 1.7.2
Size 84.40 KB
Downloads 8,954
MD5 7e0a6511ff9a4b2abd650c62405273ce
Supported Minecraft 1.7 Versions
1.7.2

Changelog

Rev15

  • Cleaned up the jar. (An error in my newest build script cause some test files to make it into the rev14 jar that may cause mod incompatibility and/or crashes.)

Rev14

  • Minecraft 1.7.2 Support
  • New, mod wide, version number system. Should eliminate confusion with Minecraft version numbers.
  • Removed Thaumcraft Support (Only until it has an updated API)
  • Do NOT use on a 1.6 world that contained EnderTanks. (see Known caveats for details)

V1.7d

  • Fixed WAILA support
  • Fixed Standalone compatibility (no more errors if you don't have the BuildCraft API)
  • More Minecraft 1.7 prep work, this should be the last 1.6 version needed before upgrading to 1.7

V1.7c

  • Added WAILA support, with it installed you can get the tanks info just by looking at it
  • Minecraft 1.7 prep work, If you want to keep your EnderBuckets when you update your world to 1.7 you must use this version first

V1.7b

  • Fixed Bug preventing pipes from connecting to EnderTanks
  • Fixed Bug preventing EnderBuckets from interacting with other tanks and devices

V1.7

  • Minecraft 1.6.2
  • Tank capacity can now be expanded
  • Uses new Forge Fluid Registry, tries to auto resolve old liquids. use "/etank" if upgrading from an old world

V1.6

  • Minecraft 1.5.2
  • Tanks now hold 32 buckets (very popular request)
  • Compiled with SrgNames so it should work with future minor Minecraft version updates too

Caveats

Do NOT not load a 1.6 world that had EnderTanks because the item form of the block wont correctly map to the block.

  • Tank item doesn't have an icon
  • Beaking a tank drops nothing
  • Using creative mode pick block on a tank crashes the game

My best guess is its an incomplete Forge feature because it should be working, everything is registered the same between 1.6 and 1.7.

Related Projects

Required Dependency